Index: /code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.cc
===================================================================
--- /code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.cc	(revision 10926)
+++ /code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.cc	(revision 10927)
@@ -42,5 +42,4 @@
         this->ticks_ = 0;
         this->bPatrolling_ = false;
-        this->maneuverCounter_ = 0;
         this->bInLoop_ = false;
         this->bLoop_ = false;
@@ -55,5 +54,4 @@
         this->bFirstTick_ = true;
         this->bStartedDodging_ = false;
-        this->timeDodged_ = 0;
         this->bDefaultPatrol_ = true;
         this->bDefaultFightAll_ = true;
@@ -100,5 +98,5 @@
     void ActionpointController::tick(float dt)
     {
-        if (!this || !this->getControllableEntity())
+        if (!this || !this->getControllableEntity() || !this->isActive())
             return;
         ++this->ticks_;
@@ -113,5 +111,5 @@
             return;
 
-        if (this->ticks_ == 1)
+        if (ActionpointController::sTicks_ == 1)
         {
 
@@ -124,5 +122,5 @@
             }
         }
-        if (this->ticks_ == 1)
+        if (ActionpointController::sTicks_ == 1)
         {    
             this->timeOffset_ = 0.0f;
@@ -167,9 +165,5 @@
             this->timeout_ -= dt;
         }
-        if (this->bStartedDodging_)
-        {
-            this->timeDodged_ += dt;
-        }
-        maneuverCounter_ += dt;
+   
 
         if (!this || !this->getControllableEntity())
@@ -177,4 +171,12 @@
         //maneuver every 0.25 sec -> 
         int step =  4;
+        if (ActionpointController::sTicks_ % 100 <= 10)
+        {
+            this->bDodge_ = false;
+        }
+        else
+        {
+            this->bDodge_ = true;
+        }
         if (ActionpointController::sTicks_ % 100 == step * this->actionpointControllerId_ + 1)
         {
@@ -189,11 +191,6 @@
         if (this->hasTarget() &&  ActionpointController::sTicks_ % (ActionpointController::nextActionpointControllerId_ + 1) == (this->actionpointControllerId_))
         {
-            if (maneuverCounter_ > 6.0f)
-                this->maneuverCounter_ = 0;
-            if (this->bStartedDodging_ &&  this->timeDodged_ > 4.0f)
-            {
-                this->bStartedDodging_ = false;
-                this->timeDodged_ = 0;
-            }
+
+         
             if (!this || !this->getControllableEntity())
                 return;
Index: /code/branches/campaignHS15/src/orxonox/controllers/FightingController.cc
===================================================================
--- /code/branches/campaignHS15/src/orxonox/controllers/FightingController.cc	(revision 10926)
+++ /code/branches/campaignHS15/src/orxonox/controllers/FightingController.cc	(revision 10927)
@@ -150,7 +150,9 @@
                 return;
             // if (this->actionCounter_ % 3 == 0)
-            if (maneuverCounter_ <= 1.2)
+            if (!this->bDodge_)
             {
                 // orxout(internal_error) << "attacking" << endl;
+                this->bStartedDodging_ = false;
+
                 this->setTargetPosition(this->positionOfTarget_ - diffUnit * 50.0f);   
                 return;
Index: /code/branches/campaignHS15/src/orxonox/controllers/FightingController.h
===================================================================
--- /code/branches/campaignHS15/src/orxonox/controllers/FightingController.h	(revision 10926)
+++ /code/branches/campaignHS15/src/orxonox/controllers/FightingController.h	(revision 10927)
@@ -82,12 +82,11 @@
             Pawn* closestTarget() const;
 
+            bool bDodge_;
             int attackRange_;
             bool bShooting_;
-            float maneuverCounter_;   
             bool bLookAtTarget_; 
             float deltaHp;
             float previousHp;
             bool bStartedDodging_;
-            float timeDodged_;
             //WEAPONSYSTEM DATA
             int rocketsLeft_;