Index: /code/branches/hoverHS15/src/modules/hover/FlagHUD.cc
===================================================================
--- /code/branches/hoverHS15/src/modules/hover/FlagHUD.cc	(revision 10928)
+++ /code/branches/hoverHS15/src/modules/hover/FlagHUD.cc	(revision 10929)
@@ -24,4 +24,9 @@
  *
  */
+
+/**
+    @file FlagHUD.cc
+    @brief Implementation of the FlagHUD
+*/
 
 #include "FlagHUD.h"
@@ -51,4 +56,8 @@
     }
 
+/**
+    @brief Sets the amount of flags displayed, once zero it does not reappear
+    @param flagCount
+*/
     void FlagHUD::setFlagCount(int flagCount) {
         if(flagCount == 0){
Index: /code/branches/hoverHS15/src/modules/hover/FlagHUD.h
===================================================================
--- /code/branches/hoverHS15/src/modules/hover/FlagHUD.h	(revision 10928)
+++ /code/branches/hoverHS15/src/modules/hover/FlagHUD.h	(revision 10929)
@@ -24,4 +24,9 @@
  *
  */
+
+ /**
+    @file FlagHUD.h
+    @brief Declaration of the FlagHUD class.
+*/
 
 #ifndef _FlagHUD_H__
Index: /code/branches/hoverHS15/src/modules/hover/HoverShip.cc
===================================================================
--- /code/branches/hoverHS15/src/modules/hover/HoverShip.cc	(revision 10928)
+++ /code/branches/hoverHS15/src/modules/hover/HoverShip.cc	(revision 10929)
@@ -22,6 +22,4 @@
  *   Author:
  *      Cyrill Burgener
- *   Co-authors:
- *      ...
  *
  */
@@ -29,5 +27,5 @@
 /**
     @file HoverShip.cc
-    @brief Implementation of the HoverShip class.
+    @brief Implementation of the HoverShip control
 */
 
@@ -74,5 +72,9 @@
     }
 
-
+    /**
+    @brief
+        sets this ships jumpBoost
+    @param jumpBoost
+    */
     void HoverShip::setJumpBoost(float jumpBoost)
     {
@@ -80,5 +82,9 @@
     }
 
-
+    /**
+    @brief
+        returns this ships jumpBoost
+    @returns jumpBoost
+    */
     float HoverShip::getJumpBoost()
     {
@@ -88,8 +94,6 @@
     /**
     @brief
-        Rotate in pitch direction.
-        Due to added left, can also lead to an additional up-down motion.
+        Removed, does nothing.
     @param value
-        A vector whose first component specifies the magnitude of the rotation. Positive means pitch up, negative means pitch down.
     */
     void HoverShip::rotatePitch(const Vector2& value) { }
@@ -97,10 +101,13 @@
     /**
     @brief
-        Rotate in roll direction.
+        Removed, does nothing.
     @param value
-        A vector whose first component specifies the magnitude of the rotation. Positive means roll left, negative means roll right.
     */
     void HoverShip::rotateRoll(const Vector2& value) { }
 
+    /**
+    @brief
+        Checks if the ship is touching the floor. The ship can only jump if there is contact with someting beneath it.
+    */
     bool HoverShip::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint)
     {
@@ -118,4 +125,9 @@
     }
 
+    /**
+    @brief
+        Makes the ship jump
+    @param bBoost
+    */
     void HoverShip::boost(bool bBoost) {
         if (bBoost && this->isFloor_)
@@ -129,15 +141,3 @@
         }
     }
-
-    /*Hover* HoverShip::getGame()
-    {
-        if (game == NULL)
-        {
-            for (ObjectList<Hover>::iterator it = ObjectList<Hover>::begin(); it != ObjectList<Hover>::end(); ++it)
-            {
-                game = *it;
-            }
-        }
-        return game;
-    }*/
 }
Index: /code/branches/hoverHS15/src/modules/hover/HoverShip.h
===================================================================
--- /code/branches/hoverHS15/src/modules/hover/HoverShip.h	(revision 10928)
+++ /code/branches/hoverHS15/src/modules/hover/HoverShip.h	(revision 10929)
@@ -22,6 +22,4 @@
  *   Author:
  *      Cyrill Burgener
- *   Co-authors:
- *      ...
  *
  */
@@ -43,6 +41,4 @@
 #include "graphics/Camera.h"
 #include "core/class/Super.h"
-
-#include "Hover.h" // Is necessary for getGame function
 
 namespace orxonox
Index: /code/branches/hoverHS15/src/modules/hover/TimeHUD.cc
===================================================================
--- /code/branches/hoverHS15/src/modules/hover/TimeHUD.cc	(revision 10928)
+++ /code/branches/hoverHS15/src/modules/hover/TimeHUD.cc	(revision 10929)
@@ -24,4 +24,10 @@
  *
  */
+
+/**
+    @file TimeHUD.cc
+    @brief Implementation of the TimeHUD
+*/
+
 
 #include "TimeHUD.h"
@@ -102,4 +108,9 @@
     }
 
+    /**
+    @brief
+        sets if the clock is running
+    @param running
+    */
     void TimeHUD::setRunning(bool running) 
     {
@@ -107,4 +118,9 @@
     }
 
+    /**
+    @brief
+        returns if the clock is running
+    @returns running
+    */
     bool TimeHUD::isRunning() {
         return this->_running;
Index: /code/branches/hoverHS15/src/modules/hover/TimeHUD.h
===================================================================
--- /code/branches/hoverHS15/src/modules/hover/TimeHUD.h	(revision 10928)
+++ /code/branches/hoverHS15/src/modules/hover/TimeHUD.h	(revision 10929)
@@ -24,4 +24,9 @@
  *
  */
+
+ /**
+    @file TimeHUD.h
+    @brief Declaration of the TimeHUD class.
+*/
 
 #ifndef _TimeHUD_H__