Index: /code/branches/campaignHS15/data/defaultConfig/orxonox.ini
===================================================================
--- /code/branches/campaignHS15/data/defaultConfig/orxonox.ini	(revision 10949)
+++ /code/branches/campaignHS15/data/defaultConfig/orxonox.ini	(revision 10950)
@@ -4,2 +4,7 @@
 campaignMissions_[2] = "pirateAttack.oxw"
 campaignMissions_[3] = "iJohnVane_TriptoArea51.oxw"
+campaignMissions_[4] = "iiJohnVane_Area51UnderFire.oxw"
+campaignMissions_[5] = "iiiJohnVane_EscapeTheBastards.oxw"
+campaignMissions_[6] = "expeditionSector.oxw"
+campaignMissions_[7] = "shuttleAttack.oxw"
+campaignMissions_[8] = "shuttleRetaliation.oxw"
Index: /code/branches/campaignHS15/data/gui/layouts/CampaignMenu.layout
===================================================================
--- /code/branches/campaignHS15/data/gui/layouts/CampaignMenu.layout	(revision 10949)
+++ /code/branches/campaignHS15/data/gui/layouts/CampaignMenu.layout	(revision 10950)
@@ -8,39 +8,81 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/Button" Name="orxonox/MissionOneButton" >
-            <Property Name="Text" Value="Mission 1" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
+            <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.2875,0},{0.6,0},{0.3375,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.MissionOneButton_clicked"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MissionTwoButton" >
-            <Property Name="Text" Value="Mission 2" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
+            <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
             <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.MissionTwoButton_clicked"/>
+            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MissionThreeButton" >
-            <Property Name="Text" Value="Mission 3" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
+            <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4375,0},{0.6,0},{0.4875,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
             <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.MissionThreeButton_clicked"/>
+            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MissionFourButton" >
-            <Property Name="Text" Value="Mission 4" />
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
+            <Property Name="Text" Value="Trip to Area 51" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5125,0},{0.6,0},{0.5625,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
             <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.MissionFourButton_clicked"/>
+            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
+            <Property Name="Text" Value="Area 51 under Fire" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
+            <Property Name="Text" Value="Escape the Bastards" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
+            <Property Name="Text" Value="Expedition to Sector 5C" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
+            <Property Name="Text" Value="Shuttle under Attack" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
+            <Property Name="Text" Value="Retaliation" />
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
+        </Window>
+
+
         <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.8,0},{0.6,0},{0.85,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
         </Window>
Index: /code/branches/campaignHS15/data/gui/scripts/CampaignMenu.lua
===================================================================
--- /code/branches/campaignHS15/data/gui/scripts/CampaignMenu.lua	(revision 10949)
+++ /code/branches/campaignHS15/data/gui/scripts/CampaignMenu.lua	(revision 10950)
@@ -8,8 +8,14 @@
 
 function P.updateButtons()
-    P.updateButton(0, winMgr:getWindow("orxonox/MissionOneButton"))
-    P.updateButton(1, winMgr:getWindow("orxonox/MissionTwoButton"))
-    P.updateButton(2, winMgr:getWindow("orxonox/MissionThreeButton"))
-    P.updateButton(3, winMgr:getWindow("orxonox/MissionFourButton"))
+    P.updateButton(0, winMgr:getWindow("orxonox/Mission1Button"))
+    P.updateButton(1, winMgr:getWindow("orxonox/Mission2Button"))
+    P.updateButton(2, winMgr:getWindow("orxonox/Mission3Button"))
+    P.updateButton(3, winMgr:getWindow("orxonox/Mission4Button"))
+    P.updateButton(4, winMgr:getWindow("orxonox/Mission5Button"))
+    P.updateButton(5, winMgr:getWindow("orxonox/Mission6Button"))
+    P.updateButton(6, winMgr:getWindow("orxonox/Mission7Button"))
+    P.updateButton(7, winMgr:getWindow("orxonox/Mission8Button"))
+    P.updateButton(8, winMgr:getWindow("orxonox/Mission9Button"))
+
 
     if (P.getIndexOfLastFinishedMission() == orxonox.LevelManager:getInstance():getNumberOfCampaignMissions() - 1) then
@@ -54,18 +60,38 @@
 end
 
-function P.MissionOneButton_clicked(e)
+function P.Mission1Button_clicked(e)
     P.loadLevel(P.FindLevel(0))
 end
 
-function P.MissionTwoButton_clicked(e)
+function P.Mission2Button_clicked(e)
     P.loadLevel(P.FindLevel(1))
 end
 
-function P.MissionThreeButton_clicked(e)
+function P.Mission3Button_clicked(e)
     P.loadLevel(P.FindLevel(2))
 end
 
-function P.MissionFourButton_clicked(e)
+function P.Mission4Button_clicked(e)
     P.loadLevel(P.FindLevel(3))
+end
+
+function P.Mission5Button_clicked(e)
+    P.loadLevel(P.FindLevel(4))
+end
+
+function P.Mission6Button_clicked(e)
+    P.loadLevel(P.FindLevel(5))
+end
+
+function P.Mission7Button_clicked(e)
+    P.loadLevel(P.FindLevel(6))
+end
+
+function P.Mission8Button_clicked(e)
+    P.loadLevel(P.FindLevel(7))
+end
+
+function P.Mission9Button_clicked(e)
+    P.loadLevel(P.FindLevel(8))
 end
 