Index: /data/trunk/materials/101.material
===================================================================
--- /data/trunk/materials/101.material	(revision 10972)
+++ /data/trunk/materials/101.material	(revision 10973)
@@ -1,42 +1,20 @@
-// 101 genrated by blender2ogre 0.6.0
 
-material 101 
+material 101
 {
-    receive_shadows on 
+	technique
+	{
+		pass 101
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
 
-    technique
-    {
-        pass 101
-        {
-            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
-            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
-            specular 0.5 0.5 0.5 1.0 12.5
-            emissive 0.0 0.0 0.0 1.0
+			texture_unit
+			{
+				texture 101.png
+			}
+		}
 
-            alpha_to_coverage off
-            colour_write on
-            cull_hardware clockwise
-            depth_check on
-            depth_func less_equal
-            depth_write on
-            illumination_stage 
-            light_clip_planes off
-            light_scissor off
-            lighting on
-            normalise_normals off
-            polygon_mode solid
-            scene_blend one zero
-            scene_blend_op add
-            shading gouraud
-            transparent_sorting on
+	}
 
-            texture_unit 
-            {
-                texture 101.png
-                tex_address_mode wrap
-                scale 1.0 1.0
-                colour_op modulate
-            }
-        }
-    }
 }
Index: /data/trunk/materials/CityGround.material
===================================================================
--- /data/trunk/materials/CityGround.material	(revision 10972)
+++ /data/trunk/materials/CityGround.material	(revision 10973)
@@ -1,42 +1,20 @@
-// CityGround genrated by blender2ogre 0.6.0
 
-material CityGround 
+material CityGround
 {
-    receive_shadows on 
+	technique
+	{
+		pass CityGround
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
 
-    technique
-    {
-        pass CityGround
-        {
-            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
-            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
-            specular 0.5 0.5 0.5 1.0 12.5
-            emissive 0.0 0.0 0.0 1.0
+			texture_unit
+			{
+				texture CityGround.jpg
+			}
+		}
 
-            alpha_to_coverage off
-            colour_write on
-            cull_hardware clockwise
-            depth_check on
-            depth_func less_equal
-            depth_write on
-            illumination_stage 
-            light_clip_planes off
-            light_scissor off
-            lighting on
-            normalise_normals off
-            polygon_mode solid
-            scene_blend one zero
-            scene_blend_op add
-            shading gouraud
-            transparent_sorting on
+	}
 
-            texture_unit 
-            {
-                texture CityGround.jpg
-                tex_address_mode wrap
-                scale 1.0 1.0
-                colour_op modulate
-            }
-        }
-    }
 }
Index: /data/trunk/materials/CityGroundLamps.material
===================================================================
--- /data/trunk/materials/CityGroundLamps.material	(revision 10973)
+++ /data/trunk/materials/CityGroundLamps.material	(revision 10973)
@@ -0,0 +1,12 @@
+
+material BaseWhite
+{
+	technique
+	{
+		pass
+		{
+		}
+
+	}
+
+}
Index: /data/trunk/materials/Glasstower1.material
===================================================================
--- /data/trunk/materials/Glasstower1.material	(revision 10972)
+++ /data/trunk/materials/Glasstower1.material	(revision 10973)
@@ -1,42 +1,20 @@
-// Glasstower1 genrated by blender2ogre 0.6.0
 
-material Glasstower1 
+material Glasstower1
 {
-    receive_shadows on 
+	technique
+	{
+		pass Glasstower1
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.8 0.8 0.8 1
+			specular 0 0 0 1 12.5
 
-    technique
-    {
-        pass Glasstower1
-        {
-            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
-            diffuse 0.800000011920929 0.800000011920929 0.800000011920929 1.0
-            specular 0.0 0.0 0.0 1.0 12.5
-            emissive 0.0 0.0 0.0 1.0
+			texture_unit
+			{
+				texture Glasstower1.jpg
+			}
+		}
 
-            alpha_to_coverage off
-            colour_write on
-            cull_hardware clockwise
-            depth_check on
-            depth_func less_equal
-            depth_write on
-            illumination_stage 
-            light_clip_planes off
-            light_scissor off
-            lighting on
-            normalise_normals off
-            polygon_mode solid
-            scene_blend one zero
-            scene_blend_op add
-            shading gouraud
-            transparent_sorting on
+	}
 
-            texture_unit 
-            {
-                texture Glasstower1.jpg
-                tex_address_mode wrap
-                scale 1.0 1.0
-                colour_op modulate
-            }
-        }
-    }
 }
Index: /data/trunk/materials/Hausc1.material
===================================================================
--- /data/trunk/materials/Hausc1.material	(revision 10972)
+++ /data/trunk/materials/Hausc1.material	(revision 10973)
@@ -1,42 +1,20 @@
-// Hausc1 genrated by blender2ogre 0.6.0
 
-material Hausc1 
+material Hausc1
 {
-    receive_shadows on 
+	technique
+	{
+		pass Hausc1
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
 
-    technique
-    {
-        pass Hausc1
-        {
-            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
-            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
-            specular 0.5 0.5 0.5 1.0 12.5
-            emissive 0.0 0.0 0.0 1.0
+			texture_unit
+			{
+				texture hausc1.png
+			}
+		}
 
-            alpha_to_coverage off
-            colour_write on
-            cull_hardware clockwise
-            depth_check on
-            depth_func less_equal
-            depth_write on
-            illumination_stage 
-            light_clip_planes off
-            light_scissor off
-            lighting on
-            normalise_normals off
-            polygon_mode solid
-            scene_blend one zero
-            scene_blend_op add
-            shading gouraud
-            transparent_sorting on
+	}
 
-            texture_unit 
-            {
-                texture hausc1.png
-                tex_address_mode wrap
-                scale 1.0 1.0
-                colour_op modulate
-            }
-        }
-    }
 }
Index: /data/trunk/materials/PrimeTower.material
===================================================================
--- /data/trunk/materials/PrimeTower.material	(revision 10972)
+++ /data/trunk/materials/PrimeTower.material	(revision 10973)
@@ -1,43 +1,20 @@
-// PrimeTower genrated by blender2ogre 0.6.0
 
-material PrimeTower 
+material PrimeTower
 {
-    receive_shadows on 
+	technique
+	{
+		pass PrimeTower
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
 
-    technique
-    {
-        pass PrimeTower
-        {
-            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
-            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
-            specular 0.5 0.5 0.5 1.0 12.5
-            emissive 0.0 0.0 0.0 1.0
+			texture_unit
+			{
+				texture prim.png
+			}
+		}
 
-            alpha_to_coverage off
-            colour_write on
-            cull_hardware clockwise
-            depth_check on
-            depth_func less_equal
-            depth_write on
-            illumination_stage 
-            light_clip_planes off
-            light_scissor off
-            lighting on
-            normalise_normals off
-            polygon_mode solid
-            scene_blend one zero
-            scene_blend_op add
-            shading gouraud
-            transparent_sorting on
+	}
 
-            texture_unit 
-            {
-                texture prim.png
-                tex_address_mode wrap
-                scale 1.0 1.0
-                tex_coord_set 0
-                colour_op modulate
-            }
-        }
-    }
 }