Index: code/branches/presentationHS15/src/modules/hover/CMakeLists.txt
===================================================================
--- code/branches/presentationHS15/src/modules/hover/CMakeLists.txt	(revision 10970)
+++ code/branches/presentationHS15/src/modules/hover/CMakeLists.txt	(revision 11025)
@@ -13,5 +13,5 @@
   FIND_HEADER_FILES
   LINK_LIBRARIES
-  	objects
+    objects
     orxonox
     overlays
Index: code/branches/presentationHS15/src/modules/hover/FlagHUD.h
===================================================================
--- code/branches/presentationHS15/src/modules/hover/FlagHUD.h	(revision 10970)
+++ code/branches/presentationHS15/src/modules/hover/FlagHUD.h	(revision 11025)
@@ -49,5 +49,5 @@
         virtual ~FlagHUD();
 
-    	virtual void tick(float dt);
+        virtual void tick(float dt);
         virtual void changedOwner();
 
Index: code/branches/presentationHS15/src/modules/hover/HoverShip.h
===================================================================
--- code/branches/presentationHS15/src/modules/hover/HoverShip.h	(revision 10970)
+++ code/branches/presentationHS15/src/modules/hover/HoverShip.h	(revision 11025)
@@ -47,6 +47,6 @@
     {
     private:
-    	float jumpBoost_;
-    	bool isFloor_;
+        float jumpBoost_;
+        bool isFloor_;
 
         public:
@@ -59,23 +59,23 @@
             virtual void setJumpBoost(float jumpBoost);
 
-    		virtual float getJumpBoost();
+            virtual float getJumpBoost();
 
-		    virtual void moveFrontBack(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value);
 
-		    virtual void moveRightLeft(const Vector2& value);
+            virtual void moveRightLeft(const Vector2& value);
 
-		    virtual void moveUpDown(const Vector2& value);
+            virtual void moveUpDown(const Vector2& value);
 
-		    virtual void rotateYaw(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value);
 
-		    virtual void rotatePitch(const Vector2& value);
-		    
-		    virtual void rotateRoll(const Vector2& value);
+            virtual void rotatePitch(const Vector2& value);
 
-		    virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual void rotateRoll(const Vector2& value);
 
-		    virtual void boost(bool bBoost);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
 
-	};
+            virtual void boost(bool bBoost);
+
+    };
 }
 
Index: code/branches/presentationHS15/src/modules/objects/Turret.h
===================================================================
--- code/branches/presentationHS15/src/modules/objects/Turret.h	(revision 10970)
+++ code/branches/presentationHS15/src/modules/objects/Turret.h	(revision 11025)
@@ -103,8 +103,8 @@
 
             inline void setRotationThrust(float rotationthrust)
-            	{ this->rotationThrust_ = rotationthrust; }
+                { this->rotationThrust_ = rotationthrust; }
 
             inline float getRotationThrust()
-            	{ return this->rotationThrust_; }
+                { return this->rotationThrust_; }
 
         protected:
Index: code/branches/presentationHS15/src/modules/towerdefense/TowerDefenseSelecter.cc
===================================================================
--- code/branches/presentationHS15/src/modules/towerdefense/TowerDefenseSelecter.cc	(revision 10970)
+++ code/branches/presentationHS15/src/modules/towerdefense/TowerDefenseSelecter.cc	(revision 11025)
@@ -88,5 +88,5 @@
             {
                 moveDownPressed_ = false;
-            	selectedPos_->Set(selecterPosX, selecterPosY - 1);
+                selectedPos_->Set(selecterPosX, selecterPosY - 1);
                 updatePosition();
             }
@@ -100,5 +100,5 @@
             {
                 moveRightPressed_ = false;
-            	selectedPos_->Set(selecterPosX + 1, selecterPosY);
+                selectedPos_->Set(selecterPosX + 1, selecterPosY);
                 updatePosition();
             }